Subject: Re: Need help in measuring soil Ph

From: [email-masked] (RSherry271)
Date: 15 Feb 1995 23:09:41 -0500

Have you tried your local Cooperative extension office or your state
university? It's usually under $10 per test, quite accurate for any crop
and comes with reccomendations for nutrient and liming needs. Not many
test tubes and electronic probes I know of can do that. If you are not
sure of your CE office. Email me with the name of the county you live in
and maybe one or two neighboring counties. Also your state. I can send
your addresses and phone #'s.
Rosanne Sherry

"Dogs come when called, cats take a message and get back to you".